Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229240 - DVD disks in sata dvd drive are not auto-mounted
Summary: DVD disks in sata dvd drive are not auto-mounted
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 18:28 UTC by Mephisto
Modified: 2013-03-06 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 16:19:36 UTC


Attachments (Terms of Use)

Description Mephisto 2007-02-19 18:28:06 UTC
Description of problem:
Today i bought a new sata dvd-rom player (Asus DVD-E616A3T), and HAL does not
mount DVD disks inserted into the drive. It works fine with CD's, and both CD
and DVD work with my DVD-writer. The dvdwriter is /dev/scd0 (even though it's an
IDE drive, the IDE interface on this motherboard is part of the sata
controller), and the new dvd-rom is /dev/scd1. I can mount the disks manually
(by using the mount command with no special options) and use them with no
problems. It doesn't matter if the disk is writable or not. Hal-device-manager
shows a Volume when a dvd is inserted.

Version-Release number of selected component (if applicable):
hal-0.5.9-0.git20070218.fc7

How reproducible:
Always, with this drive anyway...

Steps to Reproduce:
1. Connect a sata dvd drive (tested with Asus DVD-E616A3T)
2. Insert a dvd
3.
  
Actual results:
The dvd is not auto-mounted.

Expected results:
The disk should have been mounted.

Additional info:

Comment 1 Mephisto 2007-02-20 12:34:44 UTC
Today i got me a new dvd writer as well (sata), and the new drive mounts dvd's
automatically, like my old one. The dvd-rom is now /dev/scd0 and the new writer
is /dev/scd1. It hasn't changed anything in the dvd-rom's behavior. Dunno if
this might help tracking down the bug, but i thought i'd post it anyway. If you
need more info (like logs or output from commands), let me know.

Comment 2 Mephisto 2007-03-19 10:01:46 UTC
I bought a new motherboard (the old one was too unstable and kept crashing
randomly), but i still have the same problem. Hal seems to detect a device
called 'Volume', but doesn't seem to make any attempt to mount it. Also, the
other drive no longer mounts either, and sometimes gives me the error:
"Permission denied: Not in active session". It also often does not detect a
volume at all, even though it clearly sees the disk getting inserted, since
hal-device-manager shows this in console:

PropertyModified, device=/org/freedesktop/Hal/devices/storage_model_DVDRW_SH_16A7S
  key=storage.removable.media_available, rem=0, add=0
  value=0

PropertyModified, device=/org/freedesktop/Hal/devices/storage_model_DVDRW_SH_16A7S
  key=storage.removable.media_available, rem=0, add=0
  value=1

I'm not doing anything with multiple users or user switching, and the system was
just freshly booted.

Comment 3 David Zeuthen 2007-04-02 23:47:15 UTC
Is this still happening?

Comment 4 Mephisto 2007-04-03 09:19:19 UTC
Nope, both drives are mounted correctly now on a fully uptodate rawhide.
Thanks for fixing it :)

Comment 5 David Zeuthen 2007-04-03 16:19:36 UTC
Great, thanks, I'm closing this bug then.


Note You need to log in before you can comment on or make changes to this bug.